#ifndef GESTURE_RECORDER_H
#define GESTURE_RECORDER_H

#include <qframe.h>
#include <qstring.h>

class QMouseEvent;

namespace KHotKeys {

class GestureRecorder : public QFrame
  {
  Q_OBJECT
  
    public:
  GestureRecorder(QWidget *parent, const char *name);
  ~GestureRecorder();

    protected:
  void mousePressEvent(QMouseEvent *);
  void mouseReleaseEvent(QMouseEvent *);
  void mouseMoveEvent(QMouseEvent *);
  
  signals:
  void recorded(const QString &data);

    private:
  bool _mouseButtonDown;
  };

} // end namespace

#endif
