/****************************************************************************

 KHotKeys
 
 Copyright (C) 1999-2001 Lubos Lunak <l.lunak@kde.org>

 Distributed under the terms of the GNU General Public License version 2.
 
 $Id: main_buttons_widget.h,v 1.5 2001/07/06 10:48:41 seli Exp $

****************************************************************************/

#ifndef __MAIN_BUTTONS_WIDGET_H
#define __MAIN_BUTTONS_WIDGET_H

#include <main_buttons_widget_ui.h>

namespace KHotKeys
{

class Main_buttons_widget
    : public Main_buttons_widget_ui
    {
    Q_OBJECT
    public:
        Main_buttons_widget( QWidget* parent_P = NULL, const char* name_P = NULL );
        void enable_delete( bool enable_P );
    signals:
        void new_action_pressed();
        void new_action_group_pressed();
        void delete_action_pressed();
    };
    
//***************************************************************************
// Inline
//***************************************************************************

} // namespace KHotKeys

#endif
