/****************************************************************************

 KHotKeys
 
 Copyright (C) 1999-2001 Lubos Lunak <l.lunak@kde.org>

 Distributed under the terms of the GNU General Public License version 2.
 
 $Id: khotkeys.h,v 1.8 2001/07/06 10:48:41 seli Exp $

****************************************************************************/

#ifndef __KHOTKEYS_H
#define __KHOTKEYS_H

#include <kuniqueapp.h>

#include <actions.h>

namespace KHotKeys
{

class KHotKeysApp
    : public KUniqueApplication
    {
    Q_OBJECT
    K_DCOP
    k_dcop:
        virtual ASYNC reread_configuration();
    public:
        KHotKeysApp();
        virtual ~KHotKeysApp();
    private:
        Action_data_group* actions_root;
    };

//***************************************************************************
// Inline
//***************************************************************************

} // namespace KHotKeys

#endif
